#!/usr/bin/env ruby

require File.dirname($0)+'/chronic.rb'

input = $*[0]
input = STDIN.gets if input.nil?

if input =~ /^\+(\d)/
	input = "in " + $1 + " days"
end

begin
	newdate = Chronic.parse(input, {:context => :future, :ambiguous_time_range => 8})
	print newdate.strftime("%F").gsub(/\s+/,' ');
	exit 0
rescue
	exit 1
end
